from PyQt6.QtWidgets import QApplication
_ = QApplication.translate

AppList = [
    { "group": "audio featured", "description": _("AppList", "Various Audio Codecs"), "title": "Audio Codecs", "name": "task-codec-audio", "command": "", "repo": "", "icon": "img/codecs-audio.png"},
    { "group": "audio featured", "description": _("AppList", "Various Audio Codecs"), "title": "Audio Codecs", "name": "task-codec-audio", "command": "", "repo": "tainted", "icon": "img/codecs-audio.png"},
    { "group": "video featured", "description": _("AppList", "Various Video Codecs"), "title": "Video Codecs", "name": "task-codec-video", "command": "", "repo": "", "icon": "img/codecs-video.png"},
    { "group": "video featured", "description": _("AppList", "Various Video Codecs"), "title": "Video Codecs", "name": "task-codec-video", "command": "", "repo": "tainted", "icon": "img/codecs-video.png"},
    { "group": "games featured", "description": _("AppList", "Steam Client (This needs 32-bit repositories enabled (see Media Sources tab)"), "title": "Steam", "name": "steam", "command": "steam", "repo": "steam", "icon": "img/steam.png"},
    { "group": "games", "description": _("AppList", "Lutris (This needs 32-bit repositories enabled (see Media Sources tab)"), "title": "Lutris", "name": "lutris", "command": "lutris", "repo": "", "icon": "img/lutris.png"},
    { "group": "games", "description": _("AppList", "3D Real Time Strategy"), "title": "Megaglest", "name": "megaglest", "command": "megaglest", "repo": "", "icon": "img/megaglest.png"},
    { "group": "games", "description": _("AppList", "Single/Multi-player first person shooter game"), "title": "Sauerbraten", "name": "sauerbraten", "command": "sauerbraten", "repo": "non-free", "icon": "img/sauerbraten.png"},
    { "group": "games", "description": _("AppList", "Classic 2d jump 'n run sidescroller with Tux "), "title": "Supertux", "name": "supertux", "command": "supertux2", "repo": "", "icon": "img/supertux.png"},
    { "group": "games", "description": _("AppList", "Kart racing game featuring Tux and friends"), "title": "SuperTuxKart", "name": "supertuxkart", "command": "supertuxkart", "repo": "", "icon": "img/supertuxkart.png"},
    { "group": "games", "description": _("AppList", "Postnuclear realtime strategy"), "title": "Warzone 2100", "name": "warzone2100", "command": "warzone2100", "repo": "", "icon": "img/warzone2100.png"},
    { "group": "games", "description": _("AppList", "Fantasy turn-based strategy game"), "title": "Battle for Wesnoth", "name": "wesnoth", "command": "wesnoth", "repo": "", "icon": "img/wesnoth.png"},
    { "group": "games", "description": _("AppList", "RTS Game of Ancient Warfare"), "title": "O A.D", "name": "0ad", "command": "0ad", "repo": "", "icon": "img/0ad.png"},
    { "group": "games", "description": _("AppList", "A collection of more than 1000 solitaire card games"), "title": "PySolFC", "name": "PySolFC", "command": "pysol", "repo": "", "icon": "img/pysol01.png"},
    { "group": "graphics", "description": _("AppList", "3d modeller/renderer"), "title": "Blender", "name": "blender", "command": "blender.nonsse", "repo": "", "icon": "img/blender.png"},
    { "group": "graphics", "description": _("AppList", "Painting program"), "title": "MyPaint", "name": "mypaint", "command": "mypaint", "repo": "", "icon": "img/mypaint.png"},
    { "group": "graphics", "description": _("AppList", "The GNU Image Manipulation Program"), "title": "GIMP", "name": "gimp", "command": "gimp", "repo": "", "icon": "img/gimp.png"},
    { "group": "graphics", "description": _("AppList", "Vector graphics editor"), "title": "Inkscape", "name": "inkscape", "command": "inkscape", "repo": "", "icon": "img/inkscape.png"},
    { "group": "graphics", "description": _("AppList", "Digital photo management application"), "title": "Digikam", "name": "digikam", "command": "digikam", "repo": "", "icon": "img/digikam.png"},
    { "group": "graphics", "description": _("AppList", "Virtual lighttable and darkroom for photographers"), "title": "Darktable", "name": "darktable", "command": "darktable", "repo": "", "icon": "img/darktable.png"},
    { "group": "internet", "description": _("AppList", "Client for the Matrix protocol"), "title": "Nheko", "name": "nheko", "command": "nheko", "repo": "", "icon": "img/nheko.png"},
    { "group": "internet", "description": _("AppList", "Full-featured graphical ftp/ftps/sftp client"), "title": "Filezilla", "name": "filezilla", "command": "filezilla", "repo": "", "icon": "img/filezilla.png"},
    { "group": "internet featured", "description": _("AppList", "Next-generation web browser"), "title": "Firefox", "name": "firefox", "command": "firefox", "repo": "", "icon": "img/firefox.png"},
    { "group": "internet", "description": _("AppList", "Lightweight but feature rich bittorrent client"), "title": "Qbittorrent", "name": "qbittorrent", "command": "qbittorrent", "repo": "", "icon": "img/qbittorrent.png"},
    { "group": "internet", "description": _("AppList", "Fast Webbrowser"), "title": "Chromium", "name": "chromium-browser", "command": "chromium-browser", "repo": "", "icon": "img/chromium.png"},
    { "group": "internet", "description": _("AppList", "E-mail, news and RSS client"), "title": "Thunderbird", "name": "thunderbird", "command": "thunderbird", "repo": "", "icon": "img/thunderbird.png"},
    { "group": "internet", "description": _("AppList", "Fast e-mail client"), "title": "Claws Mail", "name": "claws-mail", "command": "claws-mail", "repo": "", "icon": "img/claws-mail.png"},
    { "group": "video featured", "description": _("AppList", "Media Player"), "title": "Smplayer", "name": "smplayer", "command": "smplayer", "repo": "", "icon": "img/smplayer.png"},
    { "group": "video", "description": _("AppList", "A non-linear video editing application"), "title": "Kdenlive", "name": "kdenlive", "command": "kdenlive", "repo": "", "icon": "img/kdenlive.png"},
    { "group": "video featured", "description": _("AppList", "Multimedia player and streamer"), "title": "VLC", "name": "vlc", "command": "vlc", "repo": "", "icon": "img/vlc.png"},
    { "group": "video", "description": _("AppList", "For converting video to a selection of codecs"), "title": "Handbrake", "name": "handbrake", "command": "ghb", "repo": "tainted", "icon": "img/handbrake.png"},
    { "group": "video featured", "description": _("AppList", "Multimedia player and streamer"), "title": "VLC", "name": "vlc", "command": "vlc", "repo": "tainted", "icon": "img/vlc.png"},
    { "group": "video", "description": _("AppList", "Media Center"), "title": "Kodi", "name": "kodi", "command": "kodi", "repo": "", "icon": "img/kodi.png"},
    { "group": "audio", "description": _("AppList", "Audio Player similar to Winamp"), "title": "Qmmp", "name": "qmmp", "command": "qmmp", "repo": "", "icon": "img/qmmp.png"},
    { "group": "audio featured", "description": _("AppList", "Audio Editor With Effects/Analysis Tools"), "title": "Audacity", "name": "audacity", "command": "audacity", "repo": "", "icon": "img/AudacityLogo.png"},
    { "group": "audio", "description": _("AppList", "Audio player and music collection organizer"), "title": "Strawberry", "name": "strawberry", "command": "strawberry", "repo": "", "icon": "img/strawberry.png"},
    { "group": "audio", "description": _("AppList", "An audio file converter, CD ripper and replay gain tool"), "title": "Soundkonverter", "name": "soundkonverter", "command": "soundkonverter", "repo": "", "icon": "img/soundkonverter.png"},
    #: explanation for RhythmBox
    { "group": "audio", "description": _("AppList", "Music Management"), "title": "RhythmBox", "name": "rhythmbox", "command": "rhythmbox", "repo": "", "icon": "img/rhythmbox.png"},
    { "group": "programming", "description": _("AppList", "Scientific Python Development Environment​ "), "title": "Spyder", "name": "spyder", "command": "spyder3", "repo": "", "icon": "img/spyder3.png"},
    { "group": "programming", "description": _("AppList", "Lightweight IDE for Qt"), "title": "Qt Creator", "name": "qt-creator", "command": "qtcreator", "repo": "", "icon": "img/qt-creator.png"},
    { "group": "programming", "description": _("AppList", "Editor with basic features of an IDE"), "title": "Geany", "name": "geany", "command": "geany", "repo": "", "icon": "img/geany.png"},
    { "group": "system", "description": _("AppList", "Sophisticated cd/dvd burning application"), "title": "K3b", "name": "k3b", "command": "k3b", "repo": "", "icon": "img/k3b.png"},
    { "group": "system", "description": _("AppList", "Write ISO images on USB device"), "title": "Isodumper", "name": "isodumper", "command": "isodumper", "repo": "", "icon": "img/isodumper.png"},
    { "group": "system", "description": _("AppList", "Partition editor"), "title": "GParted", "name": "gparted", "command": "gparted", "repo": "", "icon": "img/gparted.png"},
    { "group": "system featured", "description": _("AppList", "Version control system"), "title": "Git", "name": "git", "command": "", "repo": "", "icon": "img/git.png"},
    { "group": "system featured", "description": _("AppList", "Extra community-made background images"), "title": "mageia-theme-extra", "name": "mageia-theme-extra", "command": "", "repo": "", "icon": "img/mageia-theme-extra.png"},
    { "group": "system", "description": _("AppList", "Clean junk to free disk space and maintain privacy "), "title": "BleachBit", "name": "bleachbit", "command": "bleachbit", "repo": "", "icon": "img/bleachbit.png"},
    { "group": "system", "description": _("AppList", "A printer administration tool"), "title": "System Config Printer", "name": "system-config-printer", "command": "system-config-printer", "repo": "", "icon": "img/system-config-printer.png"},
    { "group": "system", "description": _("AppList", "Virtualization software"), "title": _("AppList", "VirtualBox (only with 64-bit systems)"), "name": "virtualbox", "command": "VirtualBox", "repo": "", "icon": "img/virtualbox.png"},
    { "group": "office", "description": _("AppList", "LibreOffice Spreadsheet Application"), "title": "LibreOffice Calc", "name": "libreoffice-calc", "command": "oocalc", "repo": "", "icon": "img/libreoffice-calc.png"},
    { "group": "office", "description": _("AppList", "LibreOffice Word Processor Application"), "title": "LibreOffice Writer", "name": "libreoffice-writer", "command": "oowriter", "repo": "", "icon": "img/libreoffice-writer.png"},
    { "group": "office", "description": _("AppList", "KDE office suite"), "title": "Calligra", "name": "calligra", "command": "", "repo": "", "icon": "img/calligra.png"},
    { "group": "office", "description": _("AppList", "Lean and fast, but full-featured word processor"), "title": "AbiWord", "name": "abiword", "command": "abiword", "repo": "", "icon": "img/abiword.png"},
    { "group": "office", "description": _("AppList", "A full-featured spreadsheet for GNOME"), "title": "Gnumeric", "name": "gnumeric", "command": "gnumeric", "repo": "", "icon": "img/gnumeric.png"},
    { "group": "office", "description": _("AppList", "E-book converter and library management"), "title": "Calibre", "name": "calibre", "command": "calibre", "repo": "", "icon": "img/calibre.png"},
    { "group": "office", "description": _("AppList", "Desktop Publishing Program"), "title": "Scribus", "name": "scribus", "command": "scribus", "repo": "", "icon": "img/scribus.png"},
    { "group": "office", "description": _("AppList", "Free easy personal accounting for all"), "title": "HomeBank", "name": "homebank", "command": "homebank", "repo": "", "icon": "img/homebank.png"},
    { "group": "office", "description": _("AppList", "Personal Finance Management Tool"), "title": "Skrooge", "name": "skrooge", "command": "skrooge", "repo": "", "icon": "img/skrooge.png"},
]
